lucene-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Robert Muir <rcm...@gmail.com>
Subject Re: Ant version for building Solr
Date Mon, 23 Apr 2012 15:36:52 GMT
On Mon, Apr 23, 2012 at 11:31 AM, Smiley, David W. <dsmiley@mitre.org> wrote:
>>> Is there anything preventing Ant 1.8 being the release we advise people to use?
 After all, Ant 1.8 was already on my Mac after I had grabbed dev tools extras; I'm not sure
when I last explicitly installed it.
>>
>> Yes: the fact we don't test it.
>
> That's not what I meant.  I meant why don't we test against Ant 1.8 and make *that*
the version we recommend?  It is the latest Ant release, after all.
>

Someone has to do the work, thats all. It would be nice in my opinion,
we would also have some new features available.

Its just that its not something we should do haphazardly, not so much
a 'decision' but just doing the work and being careful,
a little more involved than just 'ant test'.

Does everything work correctly on different platforms people use
(windows, unix, mac)?
Do Lucene and Solr packaging targets generate the same exact release
artifacts (modulo timestamps) as ant 1.7.1?
Does the clover integration, key signing, and other stuff that jenkins
jobs use work correctly?
etc, etc, etc.


-- 
lucidimagination.com

---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@lucene.apache.org
For additional commands, e-mail: dev-help@lucene.apache.org


Mime
View raw message